Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.vfs.provider.tar
Class TgzFileProvider

    java.lang.Object
      org.apache.commons.vfs.provider.AbstractVfsComponent
          org.apache.commons.vfs.provider.AbstractVfsContainer
              org.apache.commons.vfs.provider.AbstractFileProvider
                  org.apache.commons.vfs.provider.CompositeFileProvider
                      org.apache.commons.vfs.provider.tar.TgzFileProvider

All Implemented Interfaces:
  FileProvider, VfsComponent

public class TgzFileProvider
extends CompositeFileProvider

A file system provider for Tar files. Provides read-only file systems.

Field Summary
`protected static Collection` | `capabilities`

Constructor Summary
`TgzFileProvider()`

Method Summary
`Collection` | `getCapabilities()` Get the filesystem capabilities.
`protected String[]` | `getSchemes()` The schemes to use for resolve

Methods inherited from class org.apache.commons.vfs.provider.CompositeFileProvider
`findFile`

Methods inherited from class org.apache.commons.vfs.provider.AbstractFileProvider
`addFileSystem, close, closeFileSystem, createFileSystem, findFileSystem, freeUnusedResources, getConfigBuilder, getFileNameParser, parseUri, setFileNameParser`

Methods inherited from class org.apache.commons.vfs.provider.AbstractVfsContainer
`addComponent, removeComponent`

Methods inherited from class org.apache.commons.vfs.provider.AbstractVfsComponent
`getContext, getLogger, init, setContext, setLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### capabilities

    protected static final Collection capabilities

Constructor Detail

### TgzFileProvider

    public TgzFileProvider()

Method Detail

### getSchemes

    protected String[] getSchemes()

  Description copied from class: `CompositeFileProvider`
  The schemes to use for resolve

  Specified by:
    `getSchemes` in class `CompositeFileProvider`

### getCapabilities

    public Collection getCapabilities()

  Description copied from interface: `FileProvider`
  Get the filesystem capabilities.
  These are the same as on the filesystem, but available before the first filesystem was instanciated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.